/* n octets encode into ceiling(n/3) * 4 bytes */
/* Avoid floating point math through extra padding */

#define LUTIL_BASE64_ENCODE_LEN(n)	(((n)+2)/3 * 4)
#define LUTIL_BASE64_DECODE_LEN(n)	((n)/4*3)

int lutil_b64_ntop(u_char const *src, size_t srclength, char *target, size_t targsize);

int lutil_b64_pton(char const *src, u_char *target, size_t targsize);
